#pragma once


#include "ofxPoint2f.h"
#include "ofMain.h"

class arBasicShape{

	public:
		arBasicShape();		
		~arBasicShape();

		void setPosition(ofPoint newPos);
		void setTarget(ofPoint target);
		void begin(ofPoint srcIn, ofPoint dstIn);
		void begin(ofPoint dstIn);

		void reset();
		
		int getState(){
			return reachedTarget;
		}
		
		float update(float speed);
		
		ofxVec2f   vec;
		
		ofxPoint2f src;
		ofxPoint2f dst;
		ofxPoint2f pos;
		
		float	pct;
		int	reachedTarget;
	
};
